# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

import pecan
from pecan import rest


class Controller(rest.RestController):

    @pecan.expose('json')
    def get(self):
        return {"version": "1.0.0"}

    @pecan.expose('json')
    def post(self, **kwargs):
        ticket = pecan.request.ticket_api.ticket_create(
            name=kwargs['name'])

        return ticket

    @pecan.expose('json')
    def get_all(self):
        tickets = pecan.request.ticket_api.ticket_list()

        return tickets
